Subject: Re: [PATCH 0/9] Random OF cleanups and merges

From: Michal Simek <[email-masked]>
Date: Sun, 14 Feb 2010 15:06:08 +0100

Grant Likely wrote:
> Here's another batch of cleanup patches from my test-devicetree branch.
> A number of cleanups, corrections and minor merges of common code.
> Also a patch from Jeremy to make the flat tree work on architectures
> without LMB (arm).
> 
> Once I've collected acks on these, I'll move them over to my
> next-devicetree branch on git://git.secretlab.ca/git/linux-2.6

All changes look ok. Please add them to linux-next which I am testing. I 
don't expect any problem with it but anywya if any problems arise, I 
will let you know.

I don't want to reply every email as Ben that's why one my big ACK
for that 9 patches.

Acked-by: Michal Simek <[email-masked]>

> 
> Cheers,
> g.
> 
> ---
> 
> Grant Likely (6):
>       of: remove undefined request_OF_resource & release_OF_resource
>       of/sparc: Remove sparc-local declaration of allnodes and devtree_lock
>       of: move definition of of_chosen into common code.
>       of: remove unused extern reference to devtree_lock
>       of: put default string compare and #a/s-cell values into common header
>       of: Remove old and misplaced function declarations
> 
> Jeremy Kerr (3):
>       of/flattree: Don't assume HAVE_LMB
>       of: protect linux/of.h with CONFIG_OF
>       proc_devtree: fix THIS_MODULE without module.h
> 
> 
>  arch/microblaze/include/asm/prom.h |   15 ---------------
>  arch/microblaze/kernel/prom.c      |    8 +++++---
>  arch/powerpc/include/asm/prom.h    |   14 --------------
>  arch/powerpc/kernel/prom.c         |   10 +++++-----
>  arch/sparc/kernel/prom.h           |    3 ---
>  drivers/of/base.c                  |    1 +
>  drivers/of/fdt.c                   |    9 ++++++---
>  fs/proc/proc_devtree.c             |    1 +
>  include/linux/of.h                 |   27 +++++++++++++++++++++++++++
>  include/linux/of_fdt.h             |   11 +----------
>  10 files changed, 46 insertions(+), 53 deletions(-)
> --
> To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> Please read the FAQ at  http://www.tux.org/lkml/

-- 
Michal Simek, Ing. (M.Eng)
w: www.monstr.eu p: +42-0-721842854
Maintainer of Linux kernel 2.6 Microblaze Linux - http://www.monstr.eu/fdt/
Microblaze U-BOOT custodian